Name:          python-py-moneyed
Version:       3.0
Release:       2mamba
Summary:       Python Classes of Money and Currency
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/py-moneyed/
Source:        https://pypi.debian.net/py-moneyed/py-moneyed-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba
BuildRequires: libpython-devel
BuildRequires: libpython3-devel >= 3.7.4
%if "%{?with_pyver}"
BuildRequires: python-setuptools-py3
%else
BuildRequires: python-setuptools
%endif
Requires:      python >= %python_version

%description
%{summary}.

%if "%{?with_pyver}"
%pyver_package
%endif

%prep
%setup -q -n py-moneyed-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

#sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

chmod 0644 %{buildroot}%{python_sitearch}/py_moneyed-%{version}-py*.egg-info/*

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)

%changelog
* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 3.0-2mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Mon Nov 28 2022 Automatic Build System <autodist@mambasoft.it> 3.0-1mamba
- automatic version update by autodist

* Wed May 26 2021 Automatic Build System <autodist@mambasoft.it> 2.0-1mamba
- automatic version update by autodist

* Tue Feb 23 2021 Automatic Build System <autodist@mambasoft.it> 1.2-1mamba
- automatic version update by autodist

* Sun Feb 21 2021 Automatic Build System <autodist@mambasoft.it> 1.1-1mamba
- automatic version update by autodist

* Fri Aug 09 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.0-1mamba
- update to 0.8.0

* Thu Oct 26 2017 Automatic Build System <autodist@mambasoft.it> 0.7.0-1mamba
- automatic update by autodist

* Thu Sep 22 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.0-2mamba
- fix permissions of egg-info files

* Sat Sep 17 2016 Automatic Build System <autodist@mambasoft.it> 0.6.0-1mamba
- automatic update by autodist

* Sun May 17 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.0-1mamba
- package created using the webbuild interface
